Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class QDocumentType

    java.lang.Object
      |
      +--com.caucho.xml.QAbstractNode
            |
            +--com.caucho.xml.QNode
                  |
                  +--com.caucho.xml.QDocumentType

All Implemented Interfaces:
  CauchoNode, DocumentType, Node

public class QDocumentType
extends com.caucho.xml.QNode
implements DocumentType

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Node` | `appendChild(Node newNode)` Adds the node `newChild` to the end of the list of children of this node.
`boolean` | `checkValid()` For testing...
`Node` | `cloneNode(boolean deep)` Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes.
`boolean` | `equals(Node arg, boolean deep)`
`boolean` | `equals(java.lang.Object arg)`
`NamedNodeMap` | `getAttributes()` A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
`java.lang.String` | `getCanonicalName()` Returns the node's canonical name.
`NodeList` | `getChildNodes()` A `NodeList` that contains all children of this node.
`int` | `getColumn()` Returns the source column of this node.
`com.caucho.xml.QElementDef` | `getElement(java.lang.String name)`
`java.lang.String` | `getElementId(java.lang.String element)`
`java.util.Iterator` | `getElementIdNames()`
`NamedNodeMap` | `getEntities()` A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`java.lang.String` | `getFilename()` Returns the source filename of this node.
`Node` | `getFirstChild()` The first child of this node.
`Node` | `getLastChild()` The last child of this node.
`int` | `getLine()` Returns the source line of this node.
`java.lang.String` | `getLocalName()` Returns the local name of a node.
`java.lang.String` | `getName()` The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
`java.lang.String` | `getNamespace()` Returns the node's namespace URL.
`com.caucho.xml.QAbstractNode` | `getNextContent()`
`com.caucho.xml.QAbstractNode` | `getNextPreorder()`
`Node` | `getNextSibling()` The node immediately following this node.
`java.lang.String` | `getNodeName()` The name of this node, depending on its type; see the table above.
`short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`java.lang.String` | `getNodeValue()` The value of this node, depending on its type; see the table above.
`NamedNodeMap` | `getNotations()` A `NamedNodeMap` containing the notations declared in the DTD.
`Document` | `getOwnerDocument()` The `Document` object associated with this node.
`Node` | `getParentNode()` The parent of this node.
`java.lang.String` | `getPrefixName()` Returns the prefix name of a node.
`com.caucho.xml.QAbstractNode` | `getPreviousContent()`
`Node` | `getPreviousSibling()` The node immediately preceding this node.
`java.lang.String` | `getTagName()`
`java.lang.String` | `getTextValue()` Returns the text value of the node
`boolean` | `hasChildNodes()` This is a convenience method to allow easy determination of whether a node has any children.
`boolean` | `hasContent()`
`Node` | `insertBefore(Node newChild, Node refChild)` Inserts the node `newChild` before the existing child node `refChild`.
`void` | `print(WriteStream out)` Prints the node to a stream
`void` | `printHtml(WriteStream out)` Prints the node as html to a stream
`void` | `printPretty(WriteStream out)` Pretty-prints the node to a stream
`Node` | `removeChild(Node oldChild)` Removes the child node indicated by `oldChild` from the list of children, and returns it.
`Node` | `replaceChild(Node newChild, Node refChild)` Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node.
`void` | `setLocation(java.lang.String filename, int line, int column)` Sets the location
`void` | `setName(java.lang.String name)`
`void` | `setNodeValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Description copied from interface: `Node`
  The name of this node, depending on its type; see the table above.
  Specified by:
    `getNodeName` in interface `Node`

### getTagName

    public java.lang.String getTagName()

### getNodeType

    public short getNodeType()

  Description copied from interface: `Node`
  A code representing the type of the underlying object, as defined above.
  Specified by:
    `getNodeType` in interface `Node`

### getName

    public java.lang.String getName()

  Description copied from interface: `DocumentType`
  The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
  Specified by:
    `getName` in interface `DocumentType`

### setName

    public void setName(java.lang.String name)

### getEntities

    public NamedNodeMap getEntities()

  Description copied from interface: `DocumentType`
  A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Duplicates are discarded. For example in:<!DOCTYPE ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar "bar"> <!ENTITY % baz "baz">]> <ex/> the interface provides access to `foo` and `bar` but not `baz`. Every node in this map also implements the `Entity` interface.
  The DOM Level 1 does not support editing entities, therefore `entities` cannot be altered in any way.
  Specified by:
    `getEntities` in interface `DocumentType`

### getNotations

    public NamedNodeMap getNotations()

  Description copied from interface: `DocumentType`
  A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface.
  The DOM Level 1 does not support editing notations, therefore `notations` cannot be altered in any way.
  Specified by:
    `getNotations` in interface `DocumentType`

### cloneNode

    public Node cloneNode(boolean deep)

  Description copied from interface: `Node`
  Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.).
  Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node.
  Specified by:
    `cloneNode` in interface `Node`
  Following copied from interface: `org.w3c.dom.Node`
  Parameters:
    `deep` - If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
  Returns:
    The duplicate node.

### getElementId

    public java.lang.String getElementId(java.lang.String element)

### getElementIdNames

    public java.util.Iterator getElementIdNames()

### getElement

    public com.caucho.xml.QElementDef getElement(java.lang.String name)

### getNodeValue

    public java.lang.String getNodeValue()

  Description copied from interface: `Node`
  The value of this node, depending on its type; see the table above.
  Overrides:
    `getNodeValue` in class `com.caucho.xml.QAbstractNode`
  Following copied from interface: `org.w3c.dom.Node`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### setNodeValue

    public void setNodeValue(java.lang.String value)

  Overrides:
    `setNodeValue` in class `com.caucho.xml.QAbstractNode`

### getParentNode

    public Node getParentNode()

  Description copied from interface: `Node`
  The parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.
  Overrides:
    `getParentNode` in class `com.caucho.xml.QAbstractNode`

### getChildNodes

    public NodeList getChildNodes()

  Description copied from interface: `Node`
  A `NodeList` that contains all children of this node. If there are no children, this is a `NodeList` containing no nodes. The content of the returned `NodeList` is "live" in the sense that, for instance, changes to the children of the node object that it was created from are immediately reflected in the nodes returned by the `NodeList` accessors; it is not a static snapshot of the content of the node. This is true for every `NodeList`, including the ones returned by the `getElementsByTagName` method.
  Overrides:
    `getChildNodes` in class `com.caucho.xml.QAbstractNode`

### getFirstChild

    public Node getFirstChild()

  Description copied from interface: `Node`
  The first child of this node. If there is no such node, this returns `null`.
  Overrides:
    `getFirstChild` in class `com.caucho.xml.QAbstractNode`

### getLastChild

    public Node getLastChild()

  Description copied from interface: `Node`
  The last child of this node. If there is no such node, this returns `null`.
  Overrides:
    `getLastChild` in class `com.caucho.xml.QAbstractNode`

### getPreviousSibling

    public Node getPreviousSibling()

  Description copied from interface: `Node`
  The node immediately preceding this node. If there is no such node, this returns `null`.
  Overrides:
    `getPreviousSibling` in class `com.caucho.xml.QAbstractNode`

### getNextSibling

    public Node getNextSibling()

  Description copied from interface: `Node`
  The node immediately following this node. If there is no such node, this returns `null`.
  Overrides:
    `getNextSibling` in class `com.caucho.xml.QAbstractNode`

### getAttributes

    public NamedNodeMap getAttributes()

  Description copied from interface: `Node`
  A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
  Overrides:
    `getAttributes` in class `com.caucho.xml.QAbstractNode`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Description copied from interface: `Node`
  Inserts the node `newChild` before the existing child node `refChild`. If `refChild` is `null`, insert `newChild` at the end of the list of children.
  If `newChild` is a `DocumentFragment` object, all of its children are inserted, in the same order, before `refChild`. If the `newChild` is already in the tree, it is first removed.
  Overrides:
    `insertBefore` in class `com.caucho.xml.QAbstractNode`
  Following copied from interface: `org.w3c.dom.Node`
  Parameters:
    `newChild` - The node to insert.
    `refChild` - The reference node, i.e., the node before which the new node must be inserted.
  Returns:
    The node being inserted.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or if the node to insert is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `refChild` is not a child of this node.

### replaceChild

    public Node replaceChild(Node newChild,
                             Node refChild)
                      throws DOMException

  Description copied from interface: `Node`
  Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. If the `newChild` is already in the tree, it is first removed.
  Overrides:
    `replaceChild` in class `com.caucho.xml.QAbstractNode`
  Following copied from interface: `org.w3c.dom.Node`
  Parameters:
    `newChild` - The new node to put in the child list.
    `oldChild` - The node being replaced in the list.
  Returns:
    The node replaced.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or it the node to put in is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `oldChild` is not a child of this node.

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Description copied from interface: `Node`
  Removes the child node indicated by `oldChild` from the list of children, and returns it.
  Overrides:
    `removeChild` in class `com.caucho.xml.QAbstractNode`
  Following copied from interface: `org.w3c.dom.Node`
  Parameters:
    `oldChild` - The node being removed.
  Returns:
    The node removed.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `oldChild` is not a child of this node.

### appendChild

    public Node appendChild(Node newNode)
                     throws DOMException

  Description copied from interface: `Node`
  Adds the node `newChild` to the end of the list of children of this node. If the `newChild` is already in the tree, it is first removed.
  Overrides:
    `appendChild` in class `com.caucho.xml.QAbstractNode`
  Following copied from interface: `org.w3c.dom.Node`
  Parameters:
    `newChild` - The node to add.If it is a `DocumentFragment` object, the entire contents of the document fragment are moved into the child list of this node
  Returns:
    The node added.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or if the node to append is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### hasChildNodes

    public boolean hasChildNodes()

  Description copied from interface: `Node`
  This is a convenience method to allow easy determination of whether a node has any children.
  Overrides:
    `hasChildNodes` in class `com.caucho.xml.QAbstractNode`
  Following copied from interface: `org.w3c.dom.Node`
  Returns:
    `true` if the node has any children, `false` if the node has no children.

### checkValid

    public boolean checkValid()
                       throws java.lang.Exception

  Description copied from interface: `CauchoNode`
  For testing...
  Overrides:
    `checkValid` in class `com.caucho.xml.QAbstractNode`

### getNextPreorder

    public com.caucho.xml.QAbstractNode getNextPreorder()

  Overrides:
    `getNextPreorder` in class `com.caucho.xml.QAbstractNode`

### equals

    public boolean equals(java.lang.Object arg)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Node arg,
                          boolean deep)

  Overrides:
    `equals` in class `com.caucho.xml.QAbstractNode`

### setLocation

    public void setLocation(java.lang.String filename,
                            int line,
                            int column)

  Description copied from interface: `CauchoNode`
  Sets the location
  Specified by:
    `setLocation` in interface `CauchoNode`

### getFilename

    public java.lang.String getFilename()

  Description copied from interface: `CauchoNode`
  Returns the source filename of this node.
  Specified by:
    `getFilename` in interface `CauchoNode`

### getLine

    public int getLine()

  Description copied from interface: `CauchoNode`
  Returns the source line of this node.
  Specified by:
    `getLine` in interface `CauchoNode`

### getColumn

    public int getColumn()

  Description copied from interface: `CauchoNode`
  Returns the source column of this node.
  Specified by:
    `getColumn` in interface `CauchoNode`

### getOwnerDocument

    public Document getOwnerDocument()

  Description copied from interface: `Node`
  The `Document` object associated with this node. This is also the `Document` object used to create new nodes. When this node is a `Document` this is `null`.
  Specified by:
    `getOwnerDocument` in interface `Node`

### getPrefixName

    public java.lang.String getPrefixName()

  Description copied from interface: `CauchoNode`
  Returns the prefix name of a node.

  e.g. for foo:bar:baz, the prefix name is 'foo:bar'

  Specified by:
    `getPrefixName` in interface `CauchoNode`

### getCanonicalName

    public java.lang.String getCanonicalName()

  Description copied from interface: `CauchoNode`
  Returns the node's canonical name.

  e.g. for foo:bar:baz, the prefix name might be '{/caucho/1.0}baz'

  Specified by:
    `getCanonicalName` in interface `CauchoNode`

### getLocalName

    public java.lang.String getLocalName()

  Description copied from interface: `CauchoNode`
  Returns the local name of a node.

  e.g. for foo:bar:baz, the local name is 'baz'

  Specified by:
    `getLocalName` in interface `CauchoNode`

### getNamespace

    public java.lang.String getNamespace()

  Description copied from interface: `CauchoNode`
  Returns the node's namespace URL.

  e.g. for foo:bar:baz, the namespace might be '/caucho/1.0'

  Specified by:
    `getNamespace` in interface `CauchoNode`

### hasContent

    public boolean hasContent()

### getNextContent

    public com.caucho.xml.QAbstractNode getNextContent()

### getPreviousContent

    public com.caucho.xml.QAbstractNode getPreviousContent()

### getTextValue

    public java.lang.String getTextValue()

  Description copied from interface: `CauchoNode`
  Returns the text value of the node
  Specified by:
    `getTextValue` in interface `CauchoNode`

### print

    public void print(WriteStream out)
               throws java.io.IOException

  Description copied from interface: `CauchoNode`
  Prints the node to a stream
  Specified by:
    `print` in interface `CauchoNode`

### printPretty

    public void printPretty(WriteStream out)
                     throws java.io.IOException

  Description copied from interface: `CauchoNode`
  Pretty-prints the node to a stream
  Specified by:
    `printPretty` in interface `CauchoNode`

### printHtml

    public void printHtml(WriteStream out)
                   throws java.io.IOException

  Description copied from interface: `CauchoNode`
  Prints the node as html to a stream
  Specified by:
    `printHtml` in interface `CauchoNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD